neomutt(1)

NAME
neomutt - The NeoMutt Mail User Agent (MUA)

SYNTAX
neomutt [-Enx] [-e command] [-F config] [-H draft] [-i include] [-b address] [-c address] [-s subject] [-a file] ... [--] address ...
neomutt [-nx] [-e command] [-F config] [-b address] [-c address] [-s subject] [-a file] ... [--] address ... < message
neomutt [-nRy] [-e command] [-F config] [-f mailbox] [-m type]
neomutt [-n] [-e command] [-F config] -A alias
neomutt [-n] [-e command] [-F config] -B
neomutt [-n] [-e command] [-F config] -D [-S] [-O]
neomutt [-n] [-e command] [-F config] -d level -l file
neomutt [-n] [-e command] [-F config] -G
neomutt [-n] [-e command] [-F config] -g server
neomutt [-n] [-e command] [-F config] -p
neomutt [-n] [-e command] [-F config] -Q variable [-O]
neomutt [-n] [-e command] [-F config] -Z
neomutt [-n] [-e command] [-F config] -z [-f mailbox]
neomutt -v[v]

DESCRIPTION
NeoMutt is a small but very powerful text based program for reading and sending electronic mail under Unix operating systems, including support for color terminals, MIME, OpenPGP, and a threaded sorting mode.

Note: This manual page gives a brief overview of NeoMutt's command line options. You should find a copy of the full manual in /opt/local/share/doc/neomutt, in plain text, HTML, and/or PDF format.

OPTIONS

--  Special argument forces NeoMutt to stop option parsing and treat remaining arguments as addresses even if they start with a dash

-A alias
    Print an expanded version of the given alias to stdout and exit

-a file
    Attach one or more files to a message (must be the last option). Add any addresses after the '--' argument, e.g.:

            neomutt -a image.jpg -- address1
            neomutt -a image.jpg *.png -- address1 address2

-B  Run in batch mode (do not start the ncurses UI)

-b address
    Specify a blind carbon copy (Bcc) recipient

-C  Enable cryptographic operations in the cases in which they're disabled by default. Those include:
    •   Batch mode.
    •   Sending a postponed message.
    •   Resending a message.

-c address
    Specify a carbon copy (Cc) recipient

-D  Dump all configuration variables as 'name=value' pairs to stdout

-D -O
    Like -D, but show one-liner documentation

-D -S
    Like -D, but hide the value of sensitive variables

-d level
    Log debugging output to a file (default is "~/.neomuttdebug0"). The level can range from 1–5 and affects verbosity (a value of 2 is recommended)

    Using this option along with -l is useful to log the early startup process (before reading any configuration and hence $debug_level and $debug_file)

-E  Edit draft (-H) or include (-i) file during message composition

-e command
    Specify a command to be run after reading the config files

-F config
    Specify an alternative initialization file to read, see FILES section below for a list of regular configuration files

-f mailbox
    Specify a mailbox (as defined with mailboxes command) to load

-G  Start NeoMutt with a listing of subscribed newsgroups

-g server
    Like -G, but start at specified news server

-H draft
    Specify a draft file which contains header and body to use to send a message. If draft is “-”, then data is read from stdin. The draft file is expected to contain just an RFC822 email — headers and a body. Although it is not an mbox file, if an mbox "From " line is present, it will be silently discarded.

-h  Print this help message and exit

-i include
    Specify an include file to be embedded in the body of a message

-l file
    Specify a file for debugging output (default "~/.neomuttdebug0")

    This overrules $debug_file setting and NeoMutt keeps up to five debug logs ({ file | $debug_file | ~/.neomuttdebug }[0-4]) before override the oldest file

-m type
    Specify a default mailbox format type for newly created folders

    The type is either MH, MMDF, Maildir or mbox (case-insensitive)

-n  Do not read the system-wide configuration file

-p  Resume a prior postponed message, if any

-Q variable
    Query a configuration variable and print its value to stdout (after the config has been read and any commands executed). Add -O for one-liner documentation.

-R  Open mailbox in read-only mode

-s subject
    Specify a subject (must be enclosed in quotes if it has spaces)

-v  Print the NeoMutt version and compile-time definitions and exit

-vv Print the NeoMutt license and copyright information and exit

-y  Start NeoMutt with a listing of all defined mailboxes

-Z  Open the first mailbox with new message or exit immediately with exit code 1 if none is found in all defined mailboxes

-z  Open the first or specified (-f) mailbox if it holds any message or exit immediately with exit code 1 otherwise

ENVIRONMENT

EDITOR
    Specifies the editor to use if VISUAL is unset. Defaults to the Vi editor if unset.

EGDSOCKET
    For OpenSSL since version 0.9.5, files, mentioned at RANDFILE below, can be Entropy Gathering Daemon (EGD) sockets. Also, and if exists, ~/.entropy and /tmp/entropy will be used to initialize SSL library functions. Specified sockets must be owned by the user and have permission of 600 (octal number representing).

EMAIL
    The user's email address.

HOME
    Full path of the user's home directory.

MAIL
    Full path of the user's spool mailbox.

MAILCAPS
    Path to search for mailcap files. If unset, a RFC1524 compliant search path that is extended with NeoMutt related paths (at position two and three): "$HOME/.mailcap:/opt/local/share/neomutt/mailcap:/opt/local/etc/mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap" will be used instead.

MAILDIR
    Full path of the user's spool mailbox if MAIL is unset. Commonly used when the spool mailbox is a maildir(5) folder.

MM_NOASK
    If this variable is set, mailcap are always used without prompting first.

NNTPSERVER
    Similar to configuration variable $news_server, specifies the domain name or address of the default NNTP server to connect. If unset, /opt/local/etc/nntpserver is used but can be overridden by command line option -g.

RANDFILE
    Like configuration variable $entropy_file, defines a path to a file which includes random data that is used to initialize SSL library functions. If unset, ~/.rnd is used. DO NOT store important data in the specified file.

REPLYTO
    When set, specifies the default Reply-To address.

TEXTDOMAINDIR
    Defines an absolute path corresponding to /opt/local/share/locale that will be recognised by GNU gettext(1) and used for Native Language Support (NLS) if enabled.

TMPDIR
    Directory in which temporary files are created. Defaults to /tmp if unset. Configuration variable $tmp_dir takes precedence over this one.

VISUAL
    Specifies the editor to use when composing messages.

XDG_CONFIG_DIRS
    Specifies a X Desktop Group (XDG) compliant location for the system-wide configuration file, as described in FILES section below. This variable defaults to /etc/xdg. Bypass loading with command line option -n.

XDG_CONFIG_HOME
    Specifies a XDG compliant location for the user-specific configuration file, as described in FILES section below. This variable defaults to $HOME/.config. Can be overridden by command line option -F.

FILES

  Configuration files
NeoMutt will read just the first found configuration file of system-wide and user-specific category, from the list below and in that order.

But it allows building of a recursive configuration by using the source command.

#N | system-wide | user-specific
1 | $XDG_CONFIG_DIRS/neomutt/neomuttrc | $XDG_CONFIG_HOME/neomutt/neomuttrc
2 | $XDG_CONFIG_DIRS/neomutt/Muttrc *) | $XDG_CONFIG_HOME/neomutt/muttrc
3 | /opt/local/etc/neomuttrc | $XDG_CONFIG_HOME/mutt/neomuttrc
4 | /opt/local/etc/Muttrc *) | $XDG_CONFIG_HOME/mutt/muttrc
5 | /opt/local/share/neomutt/neomuttrc | ~/.neomutt/neomuttrc
6 | /opt/local/share/neomutt/Muttrc *) | ~/.neomutt/muttrc
7 | — | ~/.mutt/neomuttrc
8 | — | ~/.mutt/muttrc
9 | — | ~/.neomuttrc
10 | — | ~/.muttrc
*) Note the case of the filename

  Other relevant files
Unless otherwise stated, NeoMutt will process all grouped files in the order (from top to bottom) as they are specified in that listing.

~/.mailcap
/opt/local/etc/mailcap
    User-specific and system-wide definitions for handling non-text MIME types, look at environment variable MAILCAPS above for additional search locations.

~/.neomuttdebug0
    User's default debug log file. For further details or customising file path see command line options -d and -l above.

/etc/mime.types
/opt/local/etc/mime.types
/opt/local/share/neomutt/mime.types
~/.mime.types
    Description files for simple plain text mapping between MIME types and filename extensions. NeoMutt parses these files in the stated order while processing attachments to determine their MIME type.

/opt/local/share/doc/neomutt/manual.{html,pdf,txt}
    The full NeoMutt manual in HTML, PDF or plain text format.

/tmp/neomutt-XXXX-XXXX-XXXX
    Temporary files created by NeoMutt. For custom locations look at description of the environment variable TMPDIR above. Notice that the suffix -XXXX-XXXX-XXXX is just a placeholder for, e.g. hostname, user name/ID, process ID and/or other random data.

BUGS
See issue tracker at <https://github.com/neomutt/neomutt/issues>.

NO WARRANTIES
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
gettext(1), msmtp(1), notmuch(1), sendmail(1), smail(1), RAND_egd(3), curses(3), ncurses(3), mailcap(5), maildir(5), mbox(5), neomuttrc(5).

For further NeoMutt information:

    • the full manual, see FILES section above
    • the home page, <https://neomutt.org>

AUTHOR
Richard Russon and friends. Use <neomutt-devel@neomutt.org> to contact the developers.